#92970 Report by node travis-ci covering 1991 tests from 54 modules resulted into 3 errors

Report

ObsPy Version
1.1.0.post0+207.g08c02f7762...
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/352226504
GitHub Pull Request
-
Report File
XML Document
Total Runtime
953.5 sec
Report Date/Time
2018-03-12 04:44:02

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
i386
Python Compiler
GCC 4.2.1 Compatible Clang 4.0.1 (tags/RELEASE_401/final)
Python Implementation
CPython
Python Version
3.6.4
Release
16.7.0
System
Darwin
Version
Darwin Kernel Version 16.7.0: Thu Jun 15 17:36:27 PDT 2017; root:xnu-3789.70.16~2/RELEASE_X86_64

Dependencies

cartopy
---
decorator
4.2.1
flake8
---
future
0.16.0
geographiclib
1.49
lxml.etree
4.1.1
m2crypto
---
matplotlib
2.0.2
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.13.3
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.5.1
requests
2.18.4
scipy
1.0.0
setuptools
38.5.1
shapefile
1.2.12
sqlalchemy
1.2.4

Modules (54)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink 1 1
obspy.clients.earthworm - -
obspy.clients.fdsn 1 2
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink - -
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 1 3
obspy.taup - -
Summary 3 3

Tracebacks (3)

Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/tests/test_client.py", line 564, in test_save_waveform_compressed
end, unpack=False)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 565, in save_waveforms
data = self._fetch(rtype, rdata, route=route)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 225, in _fetch
endtime=request_data[1])
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 622, in get_routing
result = self._fetch(rtype, rdata, route=False)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 278, in _request
self._read_ln(b'OK')
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 191, in _read_ln
raise ArcLinkException(msg % (value, line.decode()))
obspy.clients.arclink.client.ArcLinkException: Timeout waiting for expected b'OK', got 127200383
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/tests/test_federator_routing_client.py", line 342, in test_get_stations_integration_test
channel="LHZ", level="network")
File "<decorator-gen-68>", line 2, in get_stations
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/federator_routing_client.py", line 110, in get_stations
return super(FederatorRoutingClient, self).get_stations(**kwargs)
File "<decorator-gen-61>", line 2, in get_stations
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/routing_client.py", line 344, in get_stations
return self.get_stations_bulk([bulk], **kwargs)
File "<decorator-gen-69>", line 2, in get_stations_bulk
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/federator_routing_client.py", line 143, in get_stations_bulk
r = self._download(self._url + "/query", data=bulk_str)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/base.py", line 245, in _download
self._handle_requests_http_error(r)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/routing_client.py", line 280, in _handle_requests_http_error
raise_on_error(r.status_code, get_reason_from_response(r))
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/client.py", line 1710, in raise_on_error
raise FDSNException(msg, server_info)
obspy.clients.fdsn.header.FDSNException: Bad request. If you think your request was valid please contact the developers.
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal.tf_misfit.plot_tfr
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/signal/tf_misfit.py", line 1392, in plot_tfr
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/signal/tf_misfit.py", line 1433, in obspy.signal.tf_misfit.plot_tfr
Failed example:
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
Exception raised:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connection.py", line 141, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/util/connection.py", line 60, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/socket.py", line 745, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
chunked=chunked)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connectionpool.py", line 346, in _make_request
self._validate_conn(conn)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connectionpool.py", line 850, in _validate_conn
conn.connect()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connection.py", line 284, in connect
conn = self._new_conn()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connection.py", line 150, in _new_conn
self, "Failed to establish a new connection: %s" % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x1c18fd1f98>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/adapters.py", line 440, in send
timeout=timeout
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connectionpool.py", line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/util/retry.py", line 388, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /a02i.2008.240.mseed (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1c18fd1f98>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known',))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.signal.tf_misfit.plot_tfr[1]>", line 1, in <module>
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
File "<decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 229, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/base.py", line 566, in download_to_file
r = requests.get(url, stream=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/api.py", line 72, in get
return request('get', url, params=params, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/api.py", line 58, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/sessions.py", line 508, in request
resp = self.send(prep, **send_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/sessions.py", line 618, in send
r = adapter.send(request, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/adapters.py", line 508, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /a02i.2008.240.mseed (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1c18fd1f98>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known',))

Skipped Tests (31)

Submodule Test Skip Message
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) PyCrypto is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
29.900s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
25.438s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
23.044s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
21.873s test_save_waveform_compressed (obspy.clients.arclink.tests.test_client.ClientTestCase)
20.236s test_get_stations (obspy.clients.arclink.tests.test_client.ClientTestCase)
17.563s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
16.781s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
16.631s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
15.998s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
14.413s __init__ (obspy.taup)
14.306s test_get_waveform_with_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase)
13.445s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
12.796s test_eida_token_resolution (obspy.clients.fdsn.tests.test_client.ClientTestCase)
12.229s test_issue_311 (obspy.clients.arclink.tests.test_client.ClientTestCase)
11.547s __init__ (obspy.clients.arclink)
11.465s test_save_waveform_no_compression (obspy.clients.arclink.tests.test_client.ClientTestCase)
11.135s test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
11.059s test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase)
10.998s test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase)
10.737s test_delayed_request (obspy.clients.arclink.tests.test_client.ClientTestCase)

Chuck Norris Fact

Chuck Norris doesn't need to use AJAX because pages are too afraid to postback anyways.